Bug 323965 - Modifying an alarm template does not work
Summary: Modifying an alarm template does not work
Status: CLOSED FIXED
Alias: None
Product: kalarm
Classification: Unclassified
Component: general (show other bugs)
Version: 2.10.5-ak
Platform: Chakra Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-24 10:54 UTC by Adrián Chaves (Gallaecio)
Modified: 2020-08-17 23:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrián Chaves (Gallaecio) 2013-08-24 10:54:49 UTC
See the steps to reproduce.

Reproducible: Always

Steps to Reproduce:
1. Select “File → Templates”.
2. Select an existing template from the list. If you do not have a template, create one first.
3. Once a template is selected on the list, click “Modify”.
4. Change some value on the template.
5. Click “OK” to save your changes.
Actual Results:  
You get an error message that states that it was not possible to modify the template.

Expected Results:  
The template is modified successfully.

Workaround:
1. Select to “Copy” the template you want to modify.
2. Perform the desired changes on the copy, and save it with a temporal name.
3. Delete the original.
4. Copy the copy (yeah…), and save it with the name of the original template that you previously deleted.
5. Copy the first copy, so that you end up with a “copy of the copy” that has the name of the original template, and the desired modifications.
Comment 1 David Jarvie 2013-08-27 21:40:00 UTC
Git commit 84642773abdb52c4eea6fae78f0cdf3d404a8856 by David Jarvie.
Committed on 27/08/2013 at 21:30.
Pushed by djarvie into branch 'KDE/4.11'.

Bug 323965: Fix error saving Edit Template dialog

Fix error preventing changed template from being saved when closing
the Edit Template dialog (Akonadi only).

M  +4    -1    kalarm/Changelog
M  +4    -0    kalarm/functions.cpp
M  +1    -1    kalarm/kalarm.h

http://commits.kde.org/kdepim/84642773abdb52c4eea6fae78f0cdf3d404a8856